org.apache.pdfbox.pdmodel.graphics.blend

## Class BlendMode

- java.lang.Object
- - org.apache.pdfbox.pdmodel.graphics.blend.BlendMode

Direct Known Subclasses:
  NonSeparableBlendMode, SeparableBlendMode

    public abstract class BlendMode
    extends Object

Blend mode.

Author:
  Kühn & Weyh Software GmbH

### Field Summary

Fields
`static NonSeparableBlendMode` `COLOR`
`static SeparableBlendMode` `COLOR_BURN`
`static SeparableBlendMode` `COLOR_DODGE`
`static SeparableBlendMode` `COMPATIBLE`
`static SeparableBlendMode` `DARKEN`
`static SeparableBlendMode` `DIFFERENCE`
`static SeparableBlendMode` `EXCLUSION`
`static SeparableBlendMode` `HARD_LIGHT`
`static NonSeparableBlendMode` `HUE`
`static SeparableBlendMode` `LIGHTEN`
`static NonSeparableBlendMode` `LUMINOSITY`
`static SeparableBlendMode` `MULTIPLY`
`static SeparableBlendMode` `NORMAL`
`static SeparableBlendMode` `OVERLAY`
`static NonSeparableBlendMode` `SATURATION`
`static SeparableBlendMode` `SCREEN`
`static SeparableBlendMode` `SOFT_LIGHT`

### Method Summary

All Methods Static Methods Concrete Methods
`static COSName` `getCOSName(BlendMode bm)` Determines the blend mode name from the BM object.
`static BlendMode` `getInstance(COSBase cosBlendMode)` Determines the blend mode from the BM entry in the COS ExtGState.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### NORMAL

    public static final SeparableBlendMode NORMAL

#### COMPATIBLE

    public static final SeparableBlendMode COMPATIBLE

#### MULTIPLY

    public static final SeparableBlendMode MULTIPLY

#### SCREEN

    public static final SeparableBlendMode SCREEN

#### OVERLAY

    public static final SeparableBlendMode OVERLAY

#### DARKEN

    public static final SeparableBlendMode DARKEN

#### LIGHTEN

    public static final SeparableBlendMode LIGHTEN

#### COLOR_DODGE

    public static final SeparableBlendMode COLOR_DODGE

#### COLOR_BURN

    public static final SeparableBlendMode COLOR_BURN

#### HARD_LIGHT

    public static final SeparableBlendMode HARD_LIGHT

#### SOFT_LIGHT

    public static final SeparableBlendMode SOFT_LIGHT

#### DIFFERENCE

    public static final SeparableBlendMode DIFFERENCE

#### EXCLUSION

    public static final SeparableBlendMode EXCLUSION

#### HUE

    public static final NonSeparableBlendMode HUE

#### SATURATION

    public static final NonSeparableBlendMode SATURATION

#### COLOR

    public static final NonSeparableBlendMode COLOR

#### LUMINOSITY

    public static final NonSeparableBlendMode LUMINOSITY

### Method Detail

#### getInstance

    public static BlendMode getInstance(COSBase cosBlendMode)

Determines the blend mode from the BM entry in the COS ExtGState.

Parameters:
  `cosBlendMode` - name or array
Returns:
  blending mode

#### getCOSName

    public static COSName getCOSName(BlendMode bm)

Determines the blend mode name from the BM object.

Parameters:
  `bm` - Blend mode.
Returns:
  name of blend mode.